(module modules.options
  {require {nvim aniseed.nvim}})

(set nvim.o.mouse "a")
(set nvim.o.undodir (.. nvim.env.XDG_CACHE_HOME "/vim-undodir"))
(set nvim.o.undofile true)
(set nvim.o.shortmess (.. nvim.o.shortmess "c"))
(set nvim.o.hidden true)
(set nvim.o.encoding "utf-8")
(set nvim.o.hlsearch true)
(set nvim.o.incsearch true)
(set nvim.o.inccommand "nosplit")
(set nvim.o.ignorecase true)
(set nvim.o.smartcase true)
(set nvim.o.completeopt "menuone,noselect")
(set nvim.o.laststatus 2)
(set nvim.o.lazyredraw true)
(set nvim.o.splitbelow true)
(set nvim.o.splitright true)
(set nvim.o.matchtime 2)
(set nvim.o.showmatch true)
(set nvim.o.wrap false)
(set nvim.o.writebackup false)
(set nvim.o.showmode false)
(set nvim.o.updatetime 250)
(set nvim.o.signcolumn "yes")
(set nvim.o.shiftwidth 4)
(set nvim.o.tabstop 4)
(set nvim.o.backspace "indent,eol,start")
(set nvim.o.shiftround true)
(set nvim.o.autoindent true)
(set nvim.o.smartindent true)
(set nvim.o.expandtab true)

(set nvim.wo.colorcolumn "+1")
(set nvim.wo.cursorline true)
(set nvim.wo.signcolumn "yes")

(defn make-wiki [name]
  {:path (.. "~/docs/wiki/" name "/")})

(tset vim.g "vimwiki_list" [(make-wiki "private")
                            (make-wiki "veil")])

;(nvim.command "autocmd FileType * setlocal formatoptions-=cro")
